=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBREEZEICONS_DIR=/usr/share/icons/breeze

override_dh_auto_test:
	# Disable unittest at build time, they require the runtime
	# dependencies and the modules installed. Move the tests to
	# autopkgtest.
	:
