=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: breeze-icon-theme (>= 4:5.92.0~),
-               cmake (>= 3.16~),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               kpackagetool5 (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               kpackagetool5 (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
@@ -19,7 +19,7 @@
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.7),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kirigami
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
@@ -30,7 +30,6 @@
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
          qml-module-org-kde-kirigami2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
 Recommends: libkf5kirigami2-doc (>= ${source:Version})
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
