## kirigami2 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -21,7 +21,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 5.92.0 NO_MODULE)
+find_package(ECM 5.103.0 NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})
@@ -35,6 +35,9 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2 Concurrent)
+if (QT_MAJOR_VERSION EQUAL "6")
+    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS ShaderTools)
+endif()
 if (BUILD_TESTING)
     find_package(Qt${QT_MAJOR_VERSION}QuickTest ${REQUIRED_QT_VERSION} CONFIG QUIET)
 endif()
@@ -74,6 +77,7 @@
 include(KDEPackageAppTemplates)
 include(ECMGenerateQmlTypes)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kirigami2")
 
@@ -115,27 +119,30 @@
     add_definitions(-DKIRIGAMI_ENABLE_DBUS)
 endif()
 
+find_package(OpenMP)
+set_package_properties(OpenMP
+    PROPERTIES DESCRIPTION "Multi-platform shared-memory parallel programming in C/C++ and Fortran"
+    TYPE OPTIONAL
+    PURPOSE "Accelerates palette generation in Kirigami.ImageColors"
+)
+if(OpenMP_CXX_FOUND)
+    set(HAVE_OpenMP TRUE)
+    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+endif()
+
+include_directories("${CMAKE_CURRENT_BINARY_DIR}")
+configure_file(config-OpenMP.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-OpenMP.h)
+
 if (UBUNTU_TOUCH)
     add_definitions(-DUBUNTU_TOUCH)
 endif()
 
-if(BUILD_EXAMPLES AND ANDROID)
-    find_package(Qt${QT_MAJOR_VERSION}AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
-endif()
-
-
 ecm_find_qmlmodule(QtGraphicalEffects 1.0)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
-
-# temporary Qt6 porting scafolding until branching
-# (this is intentional made to fail if we forget it for KF6)
-if (TARGET Qt6::Core AND KF_VERSION VERSION_LESS 6.0)
-    message(WARNING "TODO: port shadow shaders to Qt6!")
-    set(KF6_PORTING_TODO TRUE)
-    add_definitions(-DKF6_PORTING_TODO)
-endif()
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
 
 add_subdirectory(src)
 if (NOT ANDROID)
@@ -150,7 +157,7 @@
     add_subdirectory(autotests)
 endif()
 
-ecm_install_po_files_as_qm(po)
+ecm_install_po_files_as_qm(poqm)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
